
def predict_with_catboost(model, data):
    # This function uses CatBoost's predict method to predict the labels for given data
    import numpy as np
    from catboost import CatBoostClassifier

    # Ensure the model is a CatBoostClassifier
    if not isinstance(model, CatBoostClassifier):
        raise ValueError("The model must be an instance of CatBoostClassifier")

    # Predict the labels using the model
    predictions = model.predict(data)

    return predictions



